use lazy_static::lazy_static;
use std::path::PathBuf;

lazy_static! {
    pub static ref HARMONY_CONFIG_DIR: PathBuf = directories::BaseDirs::new()
        .unwrap()
        .data_dir()
        .join("harmony");
    pub static ref REGISTRY_URL: String =
        std::env::var("HARMONY_REGISTRY_URL").unwrap_or_else(|_| "hub.nationtech.io".to_string());
    pub static ref REGISTRY_PROJECT: String =
        std::env::var("HARMONY_REGISTRY_PROJECT").unwrap_or_else(|_| "harmony".to_string());
}
